using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Domain
{
	public class HostUpdateStatus
	{
		/// <summary>
		/// ID
		/// </summary>
		public virtual int ID
		{
			get;
			set;
		}
		/// <summary>
		/// 主机ID
		/// </summary>
		public virtual Host Host
		{
			get;
			set;
		}
		/// <summary>
		/// 升级包ID
		/// </summary>
		public virtual HostUpdate HostUpdate
		{
			get;
			set;
		}
		/// <summary>
		/// 发布时间
		/// </summary>
		public virtual DateTime? PublishTime
		{
			get;
			set;
		}
		/// <summary>
		/// 升级时间
		/// </summary>
		public virtual DateTime? UpdatedTime
		{
			get;
			set;
		}
		/// <summary>
		/// 状态：0升级就绪，1升级完成，2升级出错
		/// </summary>
		public virtual int Status
		{
			get;
			set;
		}
	}
}
